Index: tmp/org.txm.core/src/java/org/txm/core/preferences/package.html
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/preferences/package.html	(revision 839)
+++ tmp/org.txm.core/src/java/org/txm/core/preferences/package.html	(revision 840)
@@ -1 +1,2 @@
-Core preferences: contains the low level preferences and the TXMPreferences utility class to access preferences
\ No newline at end of file
+<html><body>Core preferences: contains the low level preferences and the TXMPreferences utility class to access preferences</body></html>
+
Index: tmp/org.txm.core/src/java/org/txm/core/results/package.html
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/results/package.html	(revision 839)
+++ tmp/org.txm.core/src/java/org/txm/core/results/package.html	(revision 840)
@@ -1 +1,3 @@
-abtract classes to use TXM commands
\ No newline at end of file
+<html>
+<body>abtract classes to use TXM commands</body>
+</html>
Index: tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 839)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 840)
@@ -32,7 +32,7 @@
 	public static String common_query;
 	public static String common_rows;
 	public static String common_structure;
-	public static String common_strucutralUnit;
+	public static String common_structuralUnit;
 	public static String common_units;
 	public static String common_frequency;
 
Index: tmp/org.txm.core/src/java/org/txm/core/messages/package.html
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/package.html	(revision 839)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/package.html	(revision 840)
@@ -1 +1,5 @@
-Core message keys : contains the low level shared messages
\ No newline at end of file
+<html>
+<body>
+Core message keys : contains the low level shared messages
+</body>
+</html>
\ No newline at end of file
Index: tmp/org.txm.core/src/java/org/txm/objects/Partition.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/Partition.java	(revision 839)
+++ tmp/org.txm.core/src/java/org/txm/objects/Partition.java	(revision 840)
@@ -29,9 +29,8 @@
 
 
 
-// TODO: Auto-generated Javadoc
 /**
- * The Class Partition.
+ * Partition abstract representation
  */
 public class Partition extends TxmObject {
 
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java	(revision 839)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Part.java	(revision 840)
@@ -36,7 +36,7 @@
 
 // TODO: Auto-generated Javadoc
 /**
- * A Part is related to a {@link Partition} and mirror a CQP subcorpus.
+ * A Part is related to the {@link Partition} and is a CQP subcorpus.
  *
  * @author jmague
  */
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 839)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 840)
@@ -55,7 +55,9 @@
 import org.w3c.dom.NodeList;
 
 /**
- * A partition on a corpus.
+ * A partition on a corpus. The partition is composed of {@link Part}s
+ * 
+ * The parts order depends on the Partition creation method used. 
  *
  * @author mdecorde
  * @author sjacquot 
@@ -67,7 +69,6 @@
 	/** The Constant serialVersionUID. */
 	private static final long serialVersionUID = 4420732757687971253L;
 
-	
 	/** The parts. */
 	private List<Part> parts;
 
Index: tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java
===================================================================
--- tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java	(revision 839)
+++ tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/editors/SynopticEditionEditor.java	(revision 840)
@@ -49,8 +49,6 @@
 import org.eclipse.jface.viewers.ISelectionProvider;
 import org.eclipse.jface.window.Window;
 import org.eclipse.swt.SWT;
-import org.eclipse.swt.browser.Browser;
-import org.eclipse.swt.browser.BrowserFunction;
 import org.eclipse.swt.events.KeyEvent;
 import org.eclipse.swt.events.KeyListener;
 import org.eclipse.swt.events.SelectionEvent;
@@ -59,7 +57,6 @@
 import org.eclipse.swt.layout.GridLayout;
 import org.eclipse.swt.widgets.Button;
 import org.eclipse.swt.widgets.Composite;
-import org.eclipse.swt.widgets.Group;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.swt.widgets.ToolItem;
@@ -73,7 +70,6 @@
 import org.eclipse.ui.PlatformUI;
 import org.eclipse.ui.commands.ICommandService;
 import org.eclipse.ui.handlers.IHandlerService;
-import org.txm.concordance.rcp.actions.BackToText;
 import org.txm.edition.rcp.editors.ext.ToolbarButton;
 import org.txm.edition.rcp.messages.SynopticEditionUIMessages;
 import org.txm.objects.Edition;
@@ -81,18 +77,16 @@
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.editors.IEditionEditor;
 import org.txm.rcp.editors.TXMEditor;
-import org.txm.rcp.editors.TXMEditorToolBar;
 import org.txm.rcp.swt.GLComposite;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.utils.logger.Log;
 /**
- * Call the internal browser of RCP a Texte can be set to browse pages and
- * others texts of the same base 
+ * Call the internal browser of RCP to display the Edition Pages of a Text
  * 
  * @author mdecorde.
  * 
  */
-public class SynopticEditionEditor extends TXMEditor<Edition> implements IEditionEditor {
+public class SynopticEditionEditor extends TXMEditor<Text> implements IEditionEditor {
 
 	/** The Constant ID. */
 	public final static String ID = SynopticEditionEditor.class.getName(); //$NON-NLS-1$
Index: tmp/org.txm.setups/BuildLinux64bit.sh
===================================================================
--- tmp/org.txm.setups/BuildLinux64bit.sh	(revision 839)
+++ tmp/org.txm.setups/BuildLinux64bit.sh	(revision 840)
@@ -49,30 +49,22 @@
 # copy eclise arch dependent build
 rsync -r  --exclude '.svn' "exportRCP/linux.gtk.${ARCHCODE}/TXM" "$APP/usr/lib"
 if [ $? != 0 ]; then
-	echo "** $APP: failed to get ${ARCH}bit binaries linux $ARCHCODE files"
+	echo "** $APP: failed to get ${ARCH}bit binaries Linux $ARCHCODE files"
 	exit 1;
 fi
 
 echo " clean"
 bash directoryCleaner.sh "$APP"
 if [ $? != 0 ]; then
-	echo "** $APP: failed to clean debian package $APP"
+	echo "** $APP: failed to clean Debian package $APP"
 	exit 1;
 fi
 
 # for multi installation: set the package version to txm-$VERSION
-find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/lib\/TXM/\/usr\/lib\/TXM-$VERSION/g" {} \;
-find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/bin\/TXM/\/usr\/bin\/TXM-$VERSION/g" {} \;
-find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/share\/TXM/\/usr\/share\/TXM-$VERSION/g" {} \;
-find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/share\/applications\/TXM.desktop/\/usr\/share\/applications\/TXM-$VERSION.desktop/g" {} \;
-find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/share\/applications\/TXM debug.desktop/\/usr\/share\/applications\/TXM-$VERSION debug.desktop/g" {} \;
-find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/share\/doc\/txm/\/usr\/share\/doc\/txm-$VERSION/g" {} \;
-find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/\/usr\/share\/lintiant\/overrides\/txm/\/usr\/share\/lintiant\/overrides\/txm-$VERSION/g" {} \;
-find "$APP/DEBIAN/postinst" -type f -exec sed -i "s/\/usr\/lib\/TXM/\/usr\/lib\/TXM-$VERSION/g" {} \;
-find "$APP/DEBIAN/postinst" -type f -exec sed -i "s/TXM\&/TXM-{VERSION}\&/g" {} \;
+find "$APP/DEBIAN/preinst" -type f -exec sed -i "s/TXMVERSION/$VERSION/g" {} \;
+find "$APP/DEBIAN/postinst" -type f -exec sed -i "s/TXMVERSION/$VERSION/g" {} \;
+find "$APP/usr/bin/TXM" -type f -exec sed -i "s/TXMVERSION/$VERSION/g" {} \;
 find "$APP/DEBIAN/control" -type f -exec sed -i "s/Package: txm/Package: txm-${VERSION}/g" {} \;
-find "$APP/usr/bin/TXM" -type f -exec sed -i "s/\/usr\/lib\/TXM/\/usr\/lib\/TXM-$VERSION/g" {} \;
-find "$APP/usr/bin/TXM" -type f -exec sed -i "s/\$HOME\/TXM/\$HOME\/TXM-$VERSION/g" {} \;
 mv "$APP/usr/bin/TXM" "$APP/usr/bin/TXM-$VERSION"
 mv "$APP/usr/lib/TXM" "$APP/usr/lib/TXM-$VERSION"
 find "$APP/usr/share/applications/TXM.desktop" -type f -exec sed -i "s/\/usr\/share\/TXM/\/usr\/share\/TXM-$VERSION/g" {} \;
@@ -95,4 +87,3 @@
 
 rm -f "${APP}_installer.deb"
 mv $APP.deb ${APP}_installer.deb
-
Index: tmp/org.txm.setups/shared/debian/DEBIAN/postinst
===================================================================
--- tmp/org.txm.setups/shared/debian/DEBIAN/postinst	(revision 839)
+++ tmp/org.txm.setups/shared/debian/DEBIAN/postinst	(revision 840)
@@ -2,7 +2,8 @@
 # Source debconf library.
 #. /usr/share/debconf/confmodule
 
-TXMINSTALLDIR="/usr/lib/TXM"
+VERSION=-TXMVERSION
+TXMINSTALLDIR="/usr/lib/TXM${VERSION}"
 
 # create txm group
 cat /etc/group | grep txm
Index: tmp/org.txm.setups/shared/debian/DEBIAN/preinst
===================================================================
--- tmp/org.txm.setups/shared/debian/DEBIAN/preinst	(revision 839)
+++ tmp/org.txm.setups/shared/debian/DEBIAN/preinst	(revision 840)
@@ -1,28 +1,29 @@
 #!/bin/bash
+VERSION=-TXMVERSION
 
-if [ ! -d "/usr/lib/TXM" ]; then
-	rm -rf "/usr/lib/TXM"
+if [ ! -d "/usr/lib/TXM${VERSION}" ]; then
+	rm -rf "/usr/lib/TXM${VERSION}"
 fi
 
-if [ ! -d "/usr/share/doc/txm" ]; then
-	rm -rf "/usr/share/doc/txm"
+if [ ! -d "/usr/share/doc/txm${VERSION}" ]; then
+	rm -rf "/usr/share/doc/txm${VERSION}"
 fi
 
-if [ ! -d "/usr/share/lintian/overrides/txm" ]; then
-	rm -rf "/usr/share/lintian/overrides/txm"
+if [ ! -d "/usr/share/lintian/overrides/txm${VERSION}" ]; then
+	rm -rf "/usr/share/lintian/overrides/txm${VERSION}"
 fi
 
-if [ ! -d "/usr/share/TXM" ]; then
-	rm -rf "/usr/share/TXM"
+if [ ! -d "/usr/share/TXM${VERSION}" ]; then
+	rm -rf "/usr/share/TXM${VERSION}"
 fi
 
-if [ ! -f "/usr/share/applications/TXM.desktop" ]; then
-	rm "/usr/share/applications/TXM.desktop"
-	rm "/usr/share/applications/TXM debug.desktop"
+if [ ! -f "/usr/share/applications/TXM${VERSION}.desktop" ]; then
+	rm "/usr/share/applications/TXM${VERSION}.desktop"
+	rm "/usr/share/applications/TXM${VERSION} debug.desktop"
 fi
 
-if [ ! -f "/usr/bin/TXM" ]; then
-	rm "/usr/bin/TXM"
+if [ ! -f "/usr/bin/TXM${VERSION}" ]; then
+	rm "/usr/bin/TXM${VERSION}"
 fi
 
-echo "/usr/lib/TXM pre-installation done."
\ No newline at end of file
+echo "/usr/lib/TXM${VERSION} pre-installation done."
\ No newline at end of file
Index: tmp/org.txm.setups/shared/debian/usr/bin/TXM
===================================================================
--- tmp/org.txm.setups/shared/debian/usr/bin/TXM	(revision 839)
+++ tmp/org.txm.setups/shared/debian/usr/bin/TXM	(revision 840)
@@ -1,5 +1,6 @@
 # This script launches TXM in the right directory and with the right TXM.ini file
 UBUNTU_MENUPROXY=0
+VERSION=-TXMVERSION
 
 echo "TXM: Preparing redirections in $HOME/TXM_PostInstallOutputLogs.txt and $HOME/TXM_PostInstallErrorLogs.txt files."
 
@@ -19,7 +20,10 @@
 
 echo "TXM: Creating all necessary directories."
 
-TXMHOME="$HOME/TXM"
+TXMINSTALL="/usr/lib/TXM${VERSION}"
+TXMHOME="$HOME/TXM${VERSION}"
+DOTTXMHOME="$TXMHOME/.txm"
+
 echo "TXMHOME='$TXMHOME'"
 if [ ! -d "$TXMHOME" ]; then
 	mkdir "$TXMHOME"
@@ -30,7 +34,7 @@
 	exit 1
 fi
 
-DOTTXMHOME="$TXMHOME/.txm"
+
 echo "DOTTXMHOME='$DOTTXMHOME'"
 if [ ! -d "$DOTTXMHOME" ]; then
 	mkdir "$DOTTXMHOME"
@@ -41,24 +45,24 @@
 	exit 1
 fi
 
-echo "TXM: looking at the last TXM install date from the /usr/lib/TXM/STAMP file."
+echo "TXM: looking at the last TXM install date from the /usr/lib/TXM${VERSION}/STAMP file."
 
-if [ ! -r "/usr/lib/TXM/STAMP" ]; then
-	zenity --info --text="TXM: Impossible to access '/usr/lib/TXM/STAMP' file. Aborting$LOGFILESMSG"
-	echo "TXM: Impossible to access '/usr/lib/TXM/STAMP' file. Aborting$LOGFILESMSG"
+if [ ! -r "$TXMINSTALL/STAMP" ]; then
+	zenity --info --text="TXM: Impossible to access '$TXMINSTALL/STAMP' file. Aborting$LOGFILESMSG"
+	echo "TXM: Impossible to access '$TXMINSTALL/STAMP' file. Aborting$LOGFILESMSG"
 	exit 1
 fi
 
-STAMP=`stat -c %Y "/usr/lib/TXM/STAMP"`
+STAMP=`stat -c %Y "$TXMINSTALL/STAMP"`
 
 if [ $? != 0 ]; then
-    zenity --info --text="TXM: Impossible to get status of '/usr/lib/TXM/STAMP' file. Aborting$LOGFILESMSG"
-    echo "TXM: Impossible to get status of '/usr/lib/TXM/STAMP' file. Aborting$LOGFILESMSG"
+    zenity --info --text="TXM: Impossible to get status of '$TXMINSTALL/STAMP' file. Aborting$LOGFILESMSG"
+    echo "TXM: Impossible to get status of '$TXMINSTALL/STAMP' file. Aborting$LOGFILESMSG"
     exit 1
 fi
 
 echo "TXM: if .txm folder does not contain the $STAMP flag file, its a new install."
-if [ ! -e "$HOME/TXM/.txm/$STAMP" ]; then
+if [ ! -e "$DOTTXMHOME/$STAMP" ]; then
 
 	echo "New TXM install: it's the first launch after the installation."
 	if [ -f "/tmp/org.txm.rcpapplication.prefs" ]; then
@@ -84,40 +88,40 @@
 	fi
 
 	echo "TXM: Installing up to date TXM directories."
-	rm -rf "$HOME/TXM/.txm"
-	if [ -d "$HOME/TXM/.txm" ]; then
-	    zenity --info --text="TXM: Failed to remove $HOME/TXM/.txm directory$LOGFILESMSG"
-	    echo "TXM: Failed to remove $HOME/TXM/.txm directory$LOGFILESMSG"
+	rm -rf "$DOTTXMHOME"
+	if [ -d "$DOTTXMHOME" ]; then
+	    zenity --info --text="TXM: Failed to remove $DOTTXMHOME directory$LOGFILESMSG"
+	    echo "TXM: Failed to remove $DOTTXMHOME directory$LOGFILESMSG"
 	    exit 1 ;
 	fi
 
-    mkdir "$HOME/TXM/.txm"
-    if [ ! -d "$HOME/TXM/.txm" ]; then
+    mkdir "$DOTTXMHOME"
+    if [ ! -d "$DOTTXMHOME" ]; then
 		echo "TXM: Impossible to access '$HOME/TXM/.txm' directory. Aborting$LOGFILESMSG"
 		exit 1
     fi
     
-	mkdir "$HOME/TXM/.txm/user"
-	if [ ! -d "$HOME/TXM/.txm/user" ]; then
-		echo "TXM: Impossible to access '$HOME/TXM/.txm/user' directory. Aborting$LOGFILESMSG"
+	mkdir "$DOTTXMHOME/user"
+	if [ ! -d "$DOTTXMHOME/user" ]; then
+		echo "TXM: Impossible to access '$DOTTXMHOME/user' directory. Aborting$LOGFILESMSG"
 		exit 1
     fi
     
-	mkdir "$HOME/TXM/.txm/data"
-    if [ ! -d "$HOME/TXM/.txm/data" ]; then
-		echo "TXM: Impossible to access '$HOME/TXM/.txm/data' directory. Aborting$LOGFILESMSG"
+	mkdir "$DOTTXMHOME/data"
+    if [ ! -d "$DOTTXMHOME/data" ]; then
+		echo "TXM: Impossible to access '$DOTTXMHOME/data' directory. Aborting$LOGFILESMSG"
 		exit 1
     fi
     
-    mkdir "$HOME/TXM/.txm/configuration"
-    if [ ! -d "$HOME/TXM/.txm/configuration" ]; then
-		echo "TXM: Impossible to access '$HOME/TXM/.txm/configuration' directory. Aborting$LOGFILESMSG"
+    mkdir "$DOTTXMHOME/configuration"
+    if [ ! -d "$DOTTXMHOME/configuration" ]; then
+		echo "TXM: Impossible to access '$DOTTXMHOME/configuration' directory. Aborting$LOGFILESMSG"
 		exit 1
     fi
 
-    echo "TXM: getting '/usr/lib/TXM/TXM.ini' and setting write permissions to '$HOME/TXM/.txm/TXM.ini'"
-    cp "/usr/lib/TXM/TXM.ini" "$HOME/TXM/.txm/TXM.ini" &&
-    chmod +w "$HOME/TXM/.txm/TXM.ini"
+    echo "TXM: getting '$TXMISNTALL/TXM.ini' and setting write permissions to '$DOTTXMHOME/TXM.ini'"
+    cp "$TXMISNTALL/TXM.ini" "$DOTTXMHOME/TXM.ini" &&
+    chmod +w "$DOTTXMHOME/TXM.ini"
 	
     if [ $? != 0 ]; then
         zenity --info --text="TXM: Can't launch TXM: failed to set TXM.ini file$LOGFILESMSG"
@@ -125,12 +129,12 @@
         exit 1
     fi
 
-    echo "TXM: creating the $HOME/TXM/.txm/$STAMP flag file."
-    touch "$HOME/TXM/.txm/$STAMP"
+    echo "TXM: creating the $DOTTXMHOME/$STAMP flag file."
+    touch "$DOTTXMHOME/$STAMP"
 
     if [ $? != 0 ]; then
-        zenity --info --text="TXMLaunch: Can't launch TXM: failed to create the $HOME/TXM/.txm/$STAMP install STAMP file$LOGFILESMSG"
-		echo "TXM: Can't launch TXM: failed to create the $HOME/TXM/.txm/$STAMP install STAMP file$LOGFILESMSG"
+        zenity --info --text="TXMLaunch: Can't launch TXM: failed to create the $DOTTXMHOME/$STAMP install STAMP file$LOGFILESMSG"
+		echo "TXM: Can't launch TXM: failed to create the $DOTTXMHOME/$STAMP install STAMP file$LOGFILESMSG"
         exit 1
     fi
 fi
@@ -146,4 +150,4 @@
 ## uncomment next lien to enable full debug
 #DEBUGOPTIONS="-log -consolelog -clean -debug -console -noexit"
 
-UBUNTU_MENUPROXY=0 exec /usr/lib/TXM/TXM -run --launcher.ini "$HOME/TXM/.txm/TXM.ini" $DEBUGOPTIONS -data "$HOME/TXM/.txm/data" -user "$HOME/TXM/.txm/user" -install "/usr/lib/TXM"
+UBUNTU_MENUPROXY=0 exec "$TXMINSTALL/TXM" -run --launcher.ini "$DOTTXMHOME/TXM.ini" $DEBUGOPTIONS -data "$DOTTXMHOME/data" -user "$DOTTXMHOME/user" -install "$TXMINSTALL"
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 839)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 840)
@@ -704,9 +704,9 @@
 					String version = v.getMajor()+"."+v.getMinor()+"."+v.getMicro();
 					if ("qualifier".equals(v.getQualifier())) {
 						System.out.println("RUNNING TXM FROM ECLIPSE - DEV MODE ACTIVATED");
-						version += "_dev";
+						version += "-dev";
 					}
-					txmhomedir = new File(System.getProperty("user.home"), "TXM_"+version); //$NON-NLS-1$ //$NON-NLS-2$
+					txmhomedir = new File(System.getProperty("user.home"), "TXM-"+version); //$NON-NLS-1$ //$NON-NLS-2$
 				} else {
 					txmhomedir = new File(TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE).trim());
 				}
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSResult.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSResult.java	(revision 839)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSResult.java	(revision 840)
@@ -41,27 +41,14 @@
 import ims.tiger.query.internalapi.InternalCorpusQueryManager;
 
 import java.io.File;
-import java.io.FileNotFoundException;
 import java.io.IOException;
-import java.io.UnsupportedEncodingException;
 import java.util.ArrayList;
-import java.util.Arrays;
 import java.util.List;
 
-import javax.xml.parsers.ParserConfigurationException;
 import javax.xml.transform.TransformerException;
 
 import org.txm.core.messages.TXMCoreMessages;
-import org.txm.core.preferences.TBXPreferences;
-import org.txm.core.preferences.TXMPreferences;
-import org.txm.export.ts.ConcordanceBlocks;
-import org.txm.export.ts.MatchInject;
-import org.txm.export.ts.PunctInject;
 import org.txm.importer.ApplyXsl2;
-import org.txm.utils.logger.Log;
-import org.txm.utils.xml.DomUtils;
-import org.w3c.dom.Document;
-import org.xml.sax.SAXException;
 
 // TODO: Auto-generated Javadoc
 /**
@@ -277,61 +264,62 @@
 		return toXml(outfile, xmlFile, xslFile, false, 30, new ArrayList<String>(), new ArrayList<String>());
 	}
 
-	public static String CONCSIMPLE = "concordance_simple"; //$NON-NLS-1$
-	public static String CONCMOTPIVOT = "concordance_mot-pivot"; //$NON-NLS-1$
-	public static String CONCBLOCKS = "concordance_blocks"; //$NON-NLS-1$
-	public static String[] EXPORTMETHODS = {CONCSIMPLE, CONCMOTPIVOT, CONCBLOCKS};
-	public boolean toConcordance(File csvFile, String method, int cx, List<String> list, List<String> list2, boolean punct) throws Exception
-	{
-		if (!Arrays.asList(EXPORTMETHODS).contains(method)) {
-			Log.severe(TXMCoreMessages.TSResult_7+method+TXMCoreMessages.TSResult_8+Arrays.toString(EXPORTMETHODS));
-			return false;
-		}
+	//TODO move this code somewhere
+//	public static String CONCSIMPLE = "concordance_simple"; //$NON-NLS-1$
+//	public static String CONCMOTPIVOT = "concordance_mot-pivot"; //$NON-NLS-1$
+//	public static String CONCBLOCKS = "concordance_blocks"; //$NON-NLS-1$
+//	public static String[] EXPORTMETHODS = {CONCSIMPLE, CONCMOTPIVOT, CONCBLOCKS};
+//	public boolean toConcordance(File csvFile, String method, int cx, List<String> list, List<String> list2, boolean punct) throws Exception
+//	{
+//		if (!Arrays.asList(EXPORTMETHODS).contains(method)) {
+//			Log.severe(TXMCoreMessages.TSResult_7+method+TXMCoreMessages.TSResult_8+Arrays.toString(EXPORTMETHODS));
+//			return false;
+//		}
+//
+//		File xmlFile = File.createTempFile(csvFile.getName(), "EXPORTBRUT.xml", csvFile.getParentFile()); //$NON-NLS-1$
+//		boolean rez = false;
+//		if (punct) { 
+//			// export match
+//			//System.out.println("save matches in "+xmlFile);
+//			this.toXml(xmlFile, false, true, false, false, true, false, 0);
+//			//FileCopy.copy(xmlFile, new File(xmlFile.getParentFile(), "EXPORTBRUT.xml"));
+//			// merge with TigerXMLPOSPNC
+//			File tmp = File.createTempFile("txm", "AFTERMINJECT.xml", xmlFile.getParentFile()); //$NON-NLS-1$ //$NON-NLS-2$
+//			File tigerXml = new File(tsCorpus.tsmanager.getRegistryPath(), "TigerPnc.xml"); //$NON-NLS-1$
+//			//System.out.println("TIGER XML: "+tigerXml);
+//			if (!tigerXml.exists()) {
+//				System.out.println(TXMCoreMessages.TSResult_13+tigerXml.getAbsolutePath());
+//				return false;
+//			}
+//			//System.out.println("Match inject: in "+tmp);
+//			new MatchInject().script(tigerXml, xmlFile, tmp);
+//			xmlFile.delete();
+//			tmp.renameTo(xmlFile);
+//			//FileCopy.copy(xmlFile, new File(xmlFile.getParentFile(), "AFTERMINJECT.xml"));
+//		} else {
+//			this.toXml(xmlFile); // export match + corpus
+//			//FileCopy.copy(xmlFile, new File(xmlFile.getParentFile(), "FULLEXPORT.xml"));
+//		}
+//
+//		if (!xmlFile.exists()) { System.out.println(TXMCoreMessages.TSResult_14); return false;}
+//
+//		if (method.equals("concordance_blocks")) { //$NON-NLS-1$
+//			ConcordanceBlocks builder = new ConcordanceBlocks();
+//			rez = builder.process(xmlFile, csvFile, cx, list, list2);
+//		} else { // XSL method
+//			File xslDir = new File(TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE), "xsl"); //$NON-NLS-1$
+//			File xslFile = new File(xslDir, method+".xsl"); //$NON-NLS-1$
+//			if (!xslFile.exists()) {
+//				Log.severe(TXMCoreMessages.TSResult_7+xslFile);
+//				return false;
+//			}
+//
+//			rez = toXml(csvFile, xmlFile, xslFile, punct, cx, list, list2);
+//		}
+//		xmlFile.delete(); // no more needed
+//		return rez;
+//	}
 
-		File xmlFile = File.createTempFile(csvFile.getName(), "EXPORTBRUT.xml", csvFile.getParentFile()); //$NON-NLS-1$
-		boolean rez = false;
-		if (punct) { 
-			// export match
-			//System.out.println("save matches in "+xmlFile);
-			this.toXml(xmlFile, false, true, false, false, true, false, 0);
-			//FileCopy.copy(xmlFile, new File(xmlFile.getParentFile(), "EXPORTBRUT.xml"));
-			// merge with TigerXMLPOSPNC
-			File tmp = File.createTempFile("txm", "AFTERMINJECT.xml", xmlFile.getParentFile()); //$NON-NLS-1$ //$NON-NLS-2$
-			File tigerXml = new File(tsCorpus.tsmanager.getRegistryPath(), "TigerPnc.xml"); //$NON-NLS-1$
-			//System.out.println("TIGER XML: "+tigerXml);
-			if (!tigerXml.exists()) {
-				System.out.println(TXMCoreMessages.TSResult_13+tigerXml.getAbsolutePath());
-				return false;
-			}
-			//System.out.println("Match inject: in "+tmp);
-			new MatchInject().script(tigerXml, xmlFile, tmp);
-			xmlFile.delete();
-			tmp.renameTo(xmlFile);
-			//FileCopy.copy(xmlFile, new File(xmlFile.getParentFile(), "AFTERMINJECT.xml"));
-		} else {
-			this.toXml(xmlFile); // export match + corpus
-			//FileCopy.copy(xmlFile, new File(xmlFile.getParentFile(), "FULLEXPORT.xml"));
-		}
-
-		if (!xmlFile.exists()) { System.out.println(TXMCoreMessages.TSResult_14); return false;}
-
-		if (method.equals("concordance_blocks")) { //$NON-NLS-1$
-			ConcordanceBlocks builder = new ConcordanceBlocks();
-			rez = builder.process(xmlFile, csvFile, cx, list, list2);
-		} else { // XSL method
-			File xslDir = new File(TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE), "xsl"); //$NON-NLS-1$
-			File xslFile = new File(xslDir, method+".xsl"); //$NON-NLS-1$
-			if (!xslFile.exists()) {
-				Log.severe(TXMCoreMessages.TSResult_7+xslFile);
-				return false;
-			}
-
-			rez = toXml(csvFile, xmlFile, xslFile, punct, cx, list, list2);
-		}
-		xmlFile.delete(); // no more needed
-		return rez;
-	}
-
 	public boolean toXml(File outfile) throws ExportException, ExportStopException
 	{
 		toXml(outfile, true, true);
@@ -362,52 +350,52 @@
 		return toXml(outfile, includeNonMatch, includeMatch, includeXmlHeader, includeXMLSentenceStructure, includeXMLMatchInformation, refineSchema, referSchema);
 	}
 
-	@Deprecated
-	private void injectPunct(File xmlfile)
-	{
-		System.out.println(TXMCoreMessages.TSResult_18);
-		String corpus = this.tsCorpus.id.toUpperCase();
-		try {
-			Document dom = DomUtils.load(xmlfile);
-			//System.out.println("Getting words of "+corpus);
-			Object words = PunctInject.getWords(corpus, ""); //$NON-NLS-1$
+//	@Deprecated
+//	private void injectPunct(File xmlfile)
+//	{
+//		System.out.println(TXMCoreMessages.TSResult_18);
+//		String corpus = this.tsCorpus.id.toUpperCase();
+//		try {
+//			Document dom = DomUtils.load(xmlfile);
+//			//System.out.println("Getting words of "+corpus);
+//			Object words = PunctInject.getWords(corpus, ""); //$NON-NLS-1$
+//
+//			//			int i = 0;
+//			//			for(String[] word : (ArrayList<String[]>)words)
+//			//			{
+//			//				if(i++ % 10 == 0) System.out.println();
+//			//				System.out.print("[\""+word[0]+"\", \""+word[1].replace("\"", "\\\"")+"\"], ");
+//			//			}
+//			File outfile = File.createTempFile("punct", ".xml", xmlfile.getParentFile()); //$NON-NLS-1$ //$NON-NLS-2$
+//			//System.out.println("Processing "+xmlfile+" to "+outfile);
+//			Document doc = (Document) new PunctInject().process(dom, words);
+//			//System.out.println("Saving file");
+//			DomUtils.save(doc, outfile);
+//
+//			//			FileCopy.copy(outfile, new File(outfile.getParentFile(), "afterinject.xml"));
+//
+//			xmlfile.delete();
+//			outfile.renameTo(xmlfile);
+//		} catch (UnsupportedEncodingException e) {
+//			// TODO Auto-generated catch block
+//			org.txm.utils.logger.Log.printStackTrace(e);
+//		} catch (FileNotFoundException e) {
+//			// TODO Auto-generated catch block
+//			org.txm.utils.logger.Log.printStackTrace(e);
+//		} catch (ParserConfigurationException e) {
+//			// TODO Auto-generated catch block
+//			org.txm.utils.logger.Log.printStackTrace(e);
+//		} catch (SAXException e) {
+//			// TODO Auto-generated catch block
+//			org.txm.utils.logger.Log.printStackTrace(e);
+//		} catch (IOException e) {
+//			// TODO Auto-generated catch block
+//			org.txm.utils.logger.Log.printStackTrace(e);
+//		}
+//
+//
+//	}
 
-			//			int i = 0;
-			//			for(String[] word : (ArrayList<String[]>)words)
-			//			{
-			//				if(i++ % 10 == 0) System.out.println();
-			//				System.out.print("[\""+word[0]+"\", \""+word[1].replace("\"", "\\\"")+"\"], ");
-			//			}
-			File outfile = File.createTempFile("punct", ".xml", xmlfile.getParentFile()); //$NON-NLS-1$ //$NON-NLS-2$
-			//System.out.println("Processing "+xmlfile+" to "+outfile);
-			Document doc = (Document) new PunctInject().process(dom, words);
-			//System.out.println("Saving file");
-			DomUtils.save(doc, outfile);
-
-			//			FileCopy.copy(outfile, new File(outfile.getParentFile(), "afterinject.xml"));
-
-			xmlfile.delete();
-			outfile.renameTo(xmlfile);
-		} catch (UnsupportedEncodingException e) {
-			// TODO Auto-generated catch block
-			org.txm.utils.logger.Log.printStackTrace(e);
-		} catch (FileNotFoundException e) {
-			// TODO Auto-generated catch block
-			org.txm.utils.logger.Log.printStackTrace(e);
-		} catch (ParserConfigurationException e) {
-			// TODO Auto-generated catch block
-			org.txm.utils.logger.Log.printStackTrace(e);
-		} catch (SAXException e) {
-			// TODO Auto-generated catch block
-			org.txm.utils.logger.Log.printStackTrace(e);
-		} catch (IOException e) {
-			// TODO Auto-generated catch block
-			org.txm.utils.logger.Log.printStackTrace(e);
-		}
-
-
-	}
-
 	public boolean toXml(File outFile, File xmlFile, File xslFile, boolean punct, int cxsize, List<String> list, List<String> list2) throws ExportException, ExportStopException, IOException, TransformerException
 	{
 		ApplyXsl2 xslProc = new ApplyXsl2(xslFile);
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/test/DrawTSSVG.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/test/DrawTSSVG.java	(revision 839)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/test/DrawTSSVG.java	(revision 840)
@@ -3,7 +3,10 @@
 import java.io.File;
 import java.util.Arrays;
 
-import org.txm.searchengine.ts.*;
+import org.txm.searchengine.ts.TSCorpus;
+import org.txm.searchengine.ts.TSCorpusManager;
+import org.txm.searchengine.ts.TSMatch;
+import org.txm.searchengine.ts.TSResult;
 import org.txm.utils.ExecTimer;
 
 public class DrawTSSVG {
@@ -71,12 +74,12 @@
 			//		result.getMatch(i).toSVGFile(new File("/home/mdecorde/Bureau/tigerexports/match_"+i+".svg"))
 			//	}
 			//
-				System.out.println("SIMPLE NO PNC");
-				System.out.println(result.toConcordance(new File(registrydir, "export1.csv"), "concordance_simple", 30, Arrays.asList("cat"), Arrays.asList("pos"), false));
-				System.out.println("MOT-PIVOT NO PNC");
-				System.out.println(result.toConcordance(new File(registrydir, "export2.csv"), "concordance_mot-pivot", 30, Arrays.asList("cat"), Arrays.asList("pos"), false));
-				System.out.println("BLOCKS NO PNC");
-				System.out.println(result.toConcordance(new File(registrydir, "export3.csv"), "concordance_blocks", 30, Arrays.asList("cat"), Arrays.asList("pos"), false));
+//				System.out.println("SIMPLE NO PNC");
+//				System.out.println(result.toConcordance(new File(registrydir, "export1.csv"), "concordance_simple", 30, Arrays.asList("cat"), Arrays.asList("pos"), false));
+//				System.out.println("MOT-PIVOT NO PNC");
+//				System.out.println(result.toConcordance(new File(registrydir, "export2.csv"), "concordance_mot-pivot", 30, Arrays.asList("cat"), Arrays.asList("pos"), false));
+//				System.out.println("BLOCKS NO PNC");
+//				System.out.println(result.toConcordance(new File(registrydir, "export3.csv"), "concordance_blocks", 30, Arrays.asList("cat"), Arrays.asList("pos"), false));
 			
 			//	System.out.println( "SIMPLE + PNC"
 			//	System.out.println( result.toConcordance(new File("/home/mdecorde/Bureau/tigerexports/export12.csv"), "concordance_simple", 30, ["cat"], ["pos"], true);
Index: tmp/org.txm.referencer.core/src/org/txm/referencer/core/messages/package.html
===================================================================
--- tmp/org.txm.referencer.core/src/org/txm/referencer/core/messages/package.html	(revision 839)
+++ tmp/org.txm.referencer.core/src/org/txm/referencer/core/messages/package.html	(revision 840)
@@ -1 +1 @@
-Core message keys : contains the low level shared messages
\ No newline at end of file
+<html><body>Core message keys : contains the low level shared messages</body></html>
